//  ABOUT ME


.about-me {
    display: grid;
    grid-template-columns: 2fr 0.7fr;
    height: auto;
    padding: 70px 0;
    border-bottom: 1px solid $light-black;

    &__description {
        width: 100%;
        padding: 0 70px;

        &-text {
            color: $light-black;
            font-size: 62px;

            &--extra-bold {
                font-weight: 800;
            }
        }
    }

    &__social {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        width: 100%;
        background: $light-black;
        padding: 60px 70px 60px 70px;
        
        &-text {
            color: $white;
            text-align: right;
            font-size: 32px;
            line-height: 32px;
            text-transform: uppercase;
        }

        &-network {
            display: flex;
            flex-wrap: wrap;
            gap: 20px;
            justify-content: end;
            margin-top: 30px;
        }
    }
}


@media screen and (max-width: 1200px) {
    .about-me {
        grid-template-columns: 1fr;
        padding: 0;

        &__description {
            padding: 30px;

            &-text {
                font-size: 52px;
                text-align: center;
            }
        }

        &__social {
            padding: 40px 30px;

            &-text {
                font-size: 28px;
            }
        }
    }
}

@media screen and (max-width: 768px) {
    .about-me__description {
        padding: 30px 20px;

        &-text {
            font-size: 30px;
        }
    }

    .about-me__social {
        padding: 30px 20px;
    }
}

@media screen and (max-width: 550px) {
    .about-me__description-text {
        font-size: 24px;
    }
}